# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-04-01 17:08
# flake8: noqa
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('hostname', models.CharField(help_text="Server's hostname", max_length=64, primary_key=True, serialize=False)),
                ('db_server', models.CharField(help_text='Database server host', max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='MachineNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notes', models.CharField(help_text='Reason you are checking out the server.', max_length=256)),
                ('machine', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='machines.Machine')),
                ('user', models.ForeignKey(help_text='Who checked out the server?', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='MachineStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('git_branch', models.CharField(help_text='Git branch checked out on server.', max_length=256)),
                ('git_version', models.CharField(help_text='Current tag of the git branch', max_length=256)),
                ('last_db_refresh', models.DateTimeField(help_text='Time the last database refresh completed')),
                ('last_updated', models.DateTimeField(auto_now=True, help_text='The time this was last modified')),
                ('machine', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='machines.Machine')),
            ],
            options={
                'verbose_name_plural': 'Machine Statuses',
            },
        ),
    ]
